// Custom scrollbar

body {
    // display: block;
    overflow-y: scroll;
    height: 100%;

    &::-webkit-scrollbar {
        width: 10px;
        background-color: $cultured;
    }

    &::-webkit-scrollbar-thumb {
        background-color: $red;
        border-radius: 20px;
    }
}

// Slider settings

.swiper {
    max-width: 1000px;
    width: 100%;
    height: 500px;
    margin-bottom: 100px;
    border-radius: 20px;
    -webkit-box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);
   
    .swiper-slide {
        display: flex;
        align-items: center;
        justify-content: center;
        background-repeat: no-repeat;
        background-size: cover;
        background-color: $cultured;
        gap: 30px;
      
        .slide-wrap {
            .slide-image {
                width: 300px;
                height: 300px;
                border-radius: 20px;
            }

            .slide-title {
                @include slideTitle;
            }

            .slide-text {
                @include slideText;
            }
        }

        .content-wrap {
            flex: 0 0 40%;
        }
    }

    .slider-arrow {
        color: $red;
    }
}

@media (max-width: 1440px) {
    .swiper {
        max-width: 800px;
        height: 400px;
    }
}

@media (max-width: 1024px) {
    .swiper {
        .slider-arrow {
            display: none;
        }
    }
}

@media (max-width: 768px) {
    .swiper {
        max-width: 600px;
        height: 450px;

        .swiper-slide {
            flex-direction: column;
            gap: 5px;

            .image-wrap {
                padding-top: 100px;
            }

            .content-wrap {
                text-align: center;
                padding-left: 30px;
                padding-right: 30px;
            }
        }
    }
}

@media (max-width: 425px) {
    .swiper {
        max-width: 300px;
        height: 450px;

        .swiper-slide {
            flex-direction: column;
            gap: 5px;

            .slide-wrap {
                .slide-image {
                    width: 200px;
                    height: 200px;
                }
            }

            .image-wrap {
                padding-top: 60px;
            }
        }
    }
}

// Product card 

.product__card {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        gap: 20px;
        align-items: center;
        max-width: 260px;
        max-height: 500px;
        border-radius: 10px;
        padding: 20px;
        background-repeat: no-repeat;
        background-size: cover;
        background-color: $cultured;
        -webkit-box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);
        -moz-box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);
        box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);
        z-index: 1;

    .card__content {
        position: relative;
    
        .card__special {
            position: absolute;
            top: -10px;
            right: -10px;
            width: 60px;
            animation: crescendo 1.5s alternate infinite ease-in;
        }

        @keyframes crescendo {
            0%   {transform: scale(1);}
            100% {transform: scale(1.3);}
        }

        .spicy {
            content: url('../img/icon/spicy.png');
        }

        .new {
            content: url('../img/icon/new.png');
        }

        .sale {
            content: url('../img/icon/sale.png');
        }

        .twenty {
            content: url('../img/icon/twenty.png');
        }

        .hit {
            content: url('../img/icon/hit.png');
        }

        .card__image-wrapper {
            width: 260px;
            height: 170px;
            margin-bottom: 10px;
            
            .card__image {
                width: 100%;
                height: 100%;
                border-radius: 20px;
            }
        }
    
        .card__name {
            text-align: center;

            .card__title {
                @include cardTitle;
            }
    
            .card__vendor-code {
                @include cardVendorCode; 
            }
        }
    }
    
    .card__description {
        text-align: center;

        .card__text-wrapper {
            .card__text {
                @include cardText;
            }
        }
    }

    .card__buy {
        text-align: center;
        
        .card__price {
            display: flex;
            justify-content: center;
            margin-bottom: 20px;

            .new-price {
                @include newPrice; 
            }

            .old-price {
                @include oldPrice;
            }
        }

        .add-to-basket__button {
            @include addToBasket; 
        }
    }
}

@media (max-width: 768px) {
    .product__card {
        gap: 5px;
        max-width: 156px;
        max-height: 500px;
        padding: 15px;

        .card__content {
            .card__special {
                width: 40px;
            }

            .card__image-wrapper {
                width: 156px;
                height: 102px;
            }

        }
    }
}

@media (max-width: 425px) {
    .product__card {
        background-color: transparent;
        box-shadow: none;
        padding: 0;
    }
}
// Product card -- large

.product__card--large {
    max-width: 340px;
    max-height: 650px;

    .card__content {
        .card__image-wrapper {
            width: 340px;
            height: 220px;
        }
    }

    .card__buy {
       .add-to-basket__button {
            width: 216px;
       } 
    }
}

@media (max-width: 1024px) {

    .product__card--large {
        max-width: 260px;
        max-height: 500px;
    
        .card__content {
            .card__image-wrapper {
                width: 260px;
                height: 170px;
            }
        }

        .card__description {
            .card__text-wrapper {
                .card__text {
                    font-size: 12px;
                }
            }
        }
    
        .card__buy {
           .add-to-basket__button {
                width: 150px;
           } 
        }
    } 
}

// Scroll to top 

.scroll-to-top__button {
    border: none;
    cursor: pointer;
    width: 60px;
    height: 60px;
    background-color: transparent;
    background-image: url('../img/icon/uptotop.png');
    background-repeat: no-repeat;
    background-size: contain;
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 100;
    opacity: 0;
    transform: translateY(100px);
    transition: all 0.5s ease;

    &:hover {
        scale: 1.1;
    }
  
    .scroll-to-top__image {
        width: 40px;
    }
}
  
.scroll-to-top__button--show {
    opacity: 1;
    transform: translateY(0);
}
 
@media (max-width: 610px) {
    .scroll-to-top__button {
        width: 45px;
        height: 45px;
    }
}

// Modal window - shopping cart

.basket__modal {
    @include modal;
    
    .basket__header {
        position: relative;
        margin-bottom: 30px;
       
        .basket__title {
            @include formTitle;
        }

        .basket__close {
            position: absolute;
            top: -10px;
            right: -30px;
            width: 20px;
            background-color: transparent;
            border: none;
            cursor: pointer;

            .basket__close-image {
                width: 100%;
            }
        }
    }

    .basket__body {
        .basket__control {
            display: flex;
            justify-content: space-between;
            margin-bottom: 30px;

            .basket__product-counter {
                @include basketControl;
                color: $black;
            }

            .basket__clear-list {
                @include basketControl;
                color: $gray;
                background-color: transparent;
                border: none;
                cursor: pointer;
                transition: 0.4s ease;

                &:hover {
                    color: $red;
                }
            }
        }

        .basket__product-list {
            max-height: 630px;
            overflow-y: scroll;
            height: 100%;
        
            &::-webkit-scrollbar {
                width: 10px;
                background-color: transparent;
            }
        
            &::-webkit-scrollbar-thumb {
                background-color: $red;
                border-radius: 20px;
            }

            .basket-card {
                background-color: $cultured;
                padding: 20px;
                border-radius: 20px;
                display: flex;
                justify-content: space-between;
                align-items: center;
                -webkit-box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);
                -moz-box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);
                box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);
                margin: 20px 10px;
                
                .basket-card__wrapper {
                    display: flex;
                    align-items: center;
                    justify-content: space-between;
                    gap: 30px;

                    .basket-card__image {
                        width: 150px;
                        height: 95px;
                        border-radius: 10px;
                    }

                    .basket-card__description {
                        display: flex;
                        flex-direction: column;
                        align-items: flex-start;

                        .basket-card__title {
                            @include basketCardTitle;
                        }

                        .basket-card__vendor-code {
                            @include cardVendorCode;
                        }
                    }

                    .basket-card__control {
                        display: flex;
                        align-items: center;
                        gap: 15px;
                        
                        .basket-card__plus-minus {
                            background-color: transparent;
                            border: none;
                            cursor: pointer;
                            height: 20px;

                            .basket-card__plus-minus-image {
                                width: 20px;
                            }
                        }

                        .basket-card__quantity {
                            @include basketCardQuantity;
                        }
                    }

                    .basket-card__price {
                        @include basketCardQuantity;
                    }
                }
            }
        }
    }

    .basket__footer {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-top: 20px;
    }
}

.basket__modal--active {
    left: 50%;
}

@media (max-width: 1440px) {
    .basket__modal {
        .basket__header {
            margin-bottom: 24px;
           
            .basket__close {
                top: -8px;
                right: -24px;
            }
        }
    
        .basket__body {
            .basket__control {
                margin-bottom: 24px;
            }
    
            .basket__product-list {
                max-height: 499px;

                .basket-card {
                    padding: 16px;
                    margin: 15px 10px;
                    
    
                    .basket-card__wrapper {
                        gap: 20px;

                        .basket-card__image {
                            width: 120px;
                            height: 76px;
                        }

                        .basket-card__control {
                            gap: 10px;
                        }
                    }
                }
            }
        }
    
        .basket__footer {
            margin-top: 16px;
        }
    }
}

@media (max-width: 768px) {
    .basket__modal {
        .basket__header {
            margin-bottom: 19px;
           
            .basket__close {
                top: -7px;
                right: -20px;
            }
        }
    
        .basket__body {
            .basket__control {
                margin-bottom: 20px;
            }
    
            .basket__product-list {
                .basket-card {
                    padding: 13px;
                    margin: 10px 10px;
                    -webkit-box-shadow: 0px 5px 8px 0px rgba(0, 0, 0, 0.2);
                    -moz-box-shadow: 0px 5px 8px 0px rgba(0, 0, 0, 0.2);
                    box-shadow: 0px 5px 8px 0px rgba(0, 0, 0, 0.2);
    
                    .basket-card__wrapper {
                        gap: 10px;

                        .basket-card__image {
                            width: 96px;
                            height: 61px;
                        }
                    }
                }
            }
        }
    
        .basket__footer {
            margin-top: 13px;
        }
    }
}

@media (max-width: 610px) {
    .basket__modal {
        .basket__header {
            margin-bottom: 16px;
           
            .basket__close {
                width: 15px;
                top: -6px;
                right: -16px;
            }
        }
    
        .basket__body {
            .basket__control {
                margin-bottom: 16px;
            }
    
            .basket__product-list {
                .basket-card {
                    background-color: transparent;
                    box-shadow: none;
                    padding: 0;
    
                    .basket-card__wrapper {
                        .basket-card__image {
                            width: 60px;
                            height: 49px;
                            border-radius: 5px;
                        }

                        .basket-card__control {
                            gap: 5px;

                            .basket-card__plus-minus {
                                height: 15px;

                                .basket-card__plus-minus-image {
                                    width: 15px;
                                }
                            }
                        }
                    }
                }
            }
        }
    
        .basket__footer {
            margin-top: 10px;
        }
    }
}

@media (max-width: 425px) {
    .basket__modal {
        .basket__header {
            margin-bottom: 13px;
           
            .basket__close {
                width: 15px;
                top: 0px;
                right: -5px;
            }
        }
    
        .basket__body {
            .basket__control {
                margin-bottom: 13px;
            }
    
            .basket__product-list {

                &::-webkit-scrollbar {
                    width: 5px;
                }

                .basket-card {
                    .basket-card__wrapper {
                        .basket-card__image {
                            width: 48px;
                            height: 39px;
                        }
                    }
                }
            }
        }
    
        .basket__footer {
            margin-top: 8px;
        }
    }
}

.basket__info {
    .basket__total {
        @include basketTotal;
    }

    .basket__total-wrapper {
        display: flex;
    }
    
    .basket__amount {
        @include basketAmount;
    }

    .ruble {
        @include basketAmount;
    }
}

.basket__order {
    @include basketOrder;
}

// Modal window - Delivery

.delivery__modal {
    @include modal;

    .delivery__header {
        position: relative;

        .delivery__title {
            @include formTitle;
        }

        .delivery__previous {
            position: absolute;
            top: -10px;
            left: -30px;
            width: 20px;
            background-color: transparent;
            border: none;
            cursor: pointer;

            .delivery__previous-image {
                width: 100%;
            }
        }
    }

    .delivery__body {
        margin: 40px 0;

        .form {
            display: flex;
            justify-content: space-between;

            .form__wrapper {
                position: relative;

                .form__block {
                    display: flex;
                    flex-direction: column;

                    &:not(:first-child) {
                        margin-top: 20px;
                    }
                    
                    .label {
                        @include label; 
                    }
    
                    .input {
                        @include input;
                    }
    
                    .select__title {
                        @include label; 
                    }
    
                    .select {
                        position: relative;

                        .selectCustom-trigger {
                            @include select;

                            &::after {
                                content: "▾";
                                position: absolute;
                                top: 13px;
                                right: 10px;
                            }

                            @media (max-width: 610px) {
                                &::after {
                                    top: 10px;
                                    right: 15px;
                                }
                            }
                        }
                        
                        .selectCustom-options {
                            @include selectCustomOptions; 
                        }

                        .selectCustom.isActive {
                            .selectCustom-options {
                                display: block;
                            }
                        }
                        .selectCustom-option {
                            @include selectCustomOption;
                        }
                    } 
                }                    

                .delivery__order {
                    @include deliveryOrder;
                }
            }
        }
    }

    .delivery__footer {
        display: flex;
        justify-content: space-between;
        align-items: end;
    }
}

.delivery__modal--active {
    left: 50%;
}

@media (max-width: 768px) {
    .delivery__modal {

        .delivery__header {
            .delivery__previous {
                top: -7px;
                left: -20px;
            }
        }
    }
}

@media (max-width: 610px) {
    .delivery__modal {

        .delivery__header {
            .delivery__previous {
                top: -6px;
                left: -16px;
            }
        }
        .delivery__body {
            margin-top: 20px;
            margin-bottom: 0;

            .form {
                flex-direction: column;

                .form__wrapper {
                    align-items: start;

                    .form__block {
                        width: 100%;
                        margin-bottom: 20px;

                        &:not(:first-child) {
                            margin-top: 0;
                        }
                    }

                    .select__wrapper {
                        width: 100%;
                    }

                    .select {
                        width: 100%;
                    }
                }
            }
        }
    }
}

@media (max-width: 425px) {
    .delivery__modal {
        .delivery__header {
            .delivery__previous {
                width: 15px;
                top: 0px;
                left: -5px;
            }
        }
    }
}

// Modal window - Order completed

.order__modal {
    @include modal;

    .delivery__header {
        margin-bottom: 50px;

        .delivery__title {
            @include formTitle;
        }
    }
    
    .delivery__body {
        text-align: center;
    }
}

.order__modal--active {
    left: 50%;
}

@media (max-width: 1024px) {
    .order__modal {
        .delivery__header {
            margin-bottom: 40px;
        }
    }
}

@media (max-width: 768px) {
    .order__modal {
        .delivery__header {
            margin-bottom: 30px;
        }
    }
}

@media (max-width: 425px) {
    .order__modal {
        .delivery__header {
            margin-bottom: 20px;
        }
    }
}